<template>
  <div
    v-if="listNav && listNav.length"
    class="block additional-nav"
    :class="{ _column : (columns > 0 && listNav.length > columns), ['_count-' + columns] : columns > 0 }">
    <div
      v-for="(item, index) in listNav"
      :key="item.id"
      class="item"
      :class="{ hidden: (index + 1) > currentShown }">
      <flink
        :href="`${baseUrl}/${item.slug}`"
        class="link">
        {{ item.name }}
      </flink>
    </div>
    <div class="item">
      <button
        v-if="!isShowAll"
        @click="showAll"
        type="button"
        class="btn-more">Показать все</button>
    </div>
  </div>
</template>

<script>
export default {
  name: 'NavAdditional',
  props: {
    listNav: {
      type: Array,
      required: true,
    },
    baseUrl: {
      type: String,
      required: true,
    },
    columns: {
      type: Number,
      default: 1,
    },
  },
  data() {
    return {
      isShowAll: false,
    };
  },
  computed: {
    maxShown() {
      return this.columns * 4 - 1;
    },
    currentShown() {
      return this.isShowAll
        ? this.listNav.length
        : this.maxShown;
    },
  },
  created() {
    if (this.maxShown >= this.listNav.length) {
      this.isShowAll = true;
    }
  },
  methods: {
    showAll() {
      this.isShowAll = true;
    },
  },
};
</script>

<style lang="postcss">
  .block.additional-nav {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    width: 100%;
    flex-direction: row;
    flex-wrap: wrap;
    padding-bottom: 1rem;
    &._column {
      display: block;
      column-width: auto;
      column-gap: 0;
      &._count-4 {
        column-count: 4;
      }
      &._count-6 {
        column-count: 6;
      }
      @media screen and (max-width: 980px) {
        display: none;
      }
      > .item {
        width: auto;
        break-inside: avoid-column;
      }
    }
    > .item {
      display: block;
      width: 25%;
      padding: 0 2rem 0.6rem 0;
      font-size: 0.6875rem;
      line-height: 1.2;
      /*@media screen and (max-width: 1199px) {
        width: 33.33%;
      }*/
      &.hidden {
        display: none;
      }
      .btn-more {
        display: block;
        outline: none;
        border: none;
        box-shadow: none;
        background: none;
        margin: 0;
        padding: 0;
        font: inherit;
        font-weight: 700;
        cursor: pointer;
        &:hover {
          color: #558FCC;
          text-decoration: underline;
        }
      }
    }
  }
</style>
